package com.info666.infraredRemote.controller;

import com.aliyuncs.dysmsapi.model.v20170525.SendSmsResponse;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.redis.RedisCache;
import com.ruoyi.common.core.sms.SendMessage;
import com.ruoyi.system.domain.UserInfo;
import com.ruoyi.system.domain.vo.SmsResponseVo;
import org.apache.commons.lang3.RandomStringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.UUID;
import java.util.concurrent.TimeUnit;

@RestController
@RequestMapping("/api/v1/sms")
public class SmsController {

    @Autowired
    private RedisCache redisCache;

    @PostMapping("/send")
    public R<SmsResponseVo> sendSms(@RequestBody UserInfo param) {
        // 通过RandomStringUtils生成随机验证码
        String code = RandomStringUtils.randomNumeric(6);
        SmsResponseVo smsResponse = new SmsResponseVo();
        try {
            //手机号和验证码进行发短信
            SendSmsResponse sendSmsResponse = SendMessage.sendSms(param.getUserPhone(), code);

            if (sendSmsResponse.getMessage().equals("OK")){
                String uuid = UUID.randomUUID().toString().replaceAll("-","");
                redisCache.setCacheObject(uuid,code,5, TimeUnit.MINUTES);
                smsResponse.setCode(sendSmsResponse.getCode());
                smsResponse.setMessage(sendSmsResponse.getMessage());
                smsResponse.setKeyCode(uuid);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return R.ok(smsResponse);
    }
}
