package com.ruoyi.common.core.domain;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 编码 描述 枚举
 */
@Getter
@AllArgsConstructor
public enum CodeMsg implements ErrorEnum{

    CODE_MSG_100(100, "操作成功"),

    //系统级别 1xx
    CODE_MSG_101(101, "参数错误"),

    CODE_MSG_102(102, "签名校验失败"),
    CODE_MSG_103(103, "登录信息过期,请重新登录"),
    CODE_MSG_104(104, "禁止重复提交，请稍后再试"),
    CODE_MSG_105(105, "用户不存在"),

    //用户token 11x
    CODE_MSG_110(110, "参数不能为空"),
    CODE_MSG_111(111, "时间戳过期"),
    CODE_MSG_112(112, "重复请求"),
    CODE_MSG_113(113, "验签失败"),
    CODE_MSG_114(114, "解析用户手机号失败"),

    CODE_MSG_199(199, "未知异常"),


    //业务级别 2xx
    CODE_MSG_201(201, "账号或密码不正确"),
    CODE_MSG_202(202,"验证码错误"),
    CODE_MSG_221(221, "TOKEN已过期"),

    ;

    private int code;
    private String msg;

    // 构造方法
    public static String getMsg(int code) {
        for (CodeMsg codeMsg : CodeMsg.values()) {
            if (codeMsg.code == code) {
                return codeMsg.msg;
            }
        }
        return null;
    }

}
